<?php

declare(strict_types=1);

namespace App\Entity\Place;

// use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use ApiPlatform\Metadata\ApiResource;
use App\Entity\Core\AbstractControl;
use Doctrine\ORM\Mapping as ORM;

/**
 * @todo : A la suite de la migration, il faut supprimer le nom de la table pour avoir une table RoomControl, et supprimer l'attribut discr.
 *
 * Contrôle du bon état des salles (Room)
 */
// #[Auditable]
#[ApiResource(operations: [])]
#[ORM\Entity]
class RoomControl extends AbstractControl
{
    #[ORM\ManyToOne(inversedBy: 'controls')]
    private ?Room $room = null;

    public function getRoom(): ?Room
    {
        return $this->room;
    }

    public function setRoom(?Room $room): self
    {
        $this->room = $room;

        return $this;
    }
}
